
# -*- Python -*-
#
# The configuration file of yumport.
# It's a Python file (*not* a module).

configuration.tlversion    = "2014"
configuration.tlrelease    = "1"
configuration.docdir       = "/usr/share/doc"
configuration.texdir       = "/usr/share/texlive"
configuration.texdocdir    = configuration.texdir+"/texmf-dist/doc"
configuration.texfontsdir  = "/usr/share/fonts"
configuration.tlarchivedir = "http://www.ctan.org/tex-archive/macros/latex/contrib"
#configuration.tlarchivedir = "http://www.ctan.org/tex-archive/systems/texlive/tlnet/archive"
#configuration.tlarchivedir = "http://www.tug.org/~preining/tlptexlive/2011/archive"
configuration.cnfList      = [ ".cnf", ".cfg" ]

def provideHook ( package ):
    s = ""
    if package.name == "dvips":
        s += package.addProv("tex(dvips) = %%{tl_version}")
        s += package.addVirtProv("dvips",SpecFile.TexmfProv)
    elif package.name == "tex4ht":     s += package.addVirtProv("tex4ht")
    elif package.name == "latex":      s += package.addVirtProv("latex",SpecFile.TexmfProv)
    elif package.name == "IEEEtran":   s += package.addVirtProv("IEEEtran")
    elif package.name == "bytefield":  s += package.addVirtProv("bytefield")
    elif package.name == "elsevier":   s += package.addVirtProv("elsevier")
    elif package.name == "perltex":    s += package.addVirtProv("perltex")
    elif package.name == "prosper":    s += package.addVirtProv("prosper")
    elif package.name == "texdoc":     s += package.addVirtProv("doc")
    elif package.name == "lineara":    s += package.addVirtProv("linearA"   ,SpecFile.FontsObsl)
    elif package.name == "asana-math": s += package.addVirtProv("asana-math",SpecFile.FontsObsl)
    elif package.name == "jadetex":    s += package.addVirtProv("jadetex"   ,SpecFile.NoTetexProv)
    elif package.name == "japanese":   s += package.addObsl("texlive-east-asian < %{tl_version}")
    elif package.name == "pdfjam":     s += package.addObsl("pdfjam")
    return s

configuration.provideHook = provideHook
